Subject: Re: FVWM: 'Default' menu options

From: Dominik Vogt <[email-masked]>
Date: Thu, 11 Feb 1999 11:28:55 +0100

On Thu, Feb 11, 1999 at 10:21:15AM +0000, [email-masked] wrote:
> Dominik Vogt wrote:
> > > > >   Well. making the offsets from 'c' actually work would probably be the
> > > > > easiest step! Esp. if one can do it with the 'p' suffix, e.g., Popup menu
> > > > > Mouse 10p c-25p
> > > >
> > ?? I see nothing about 'c' in this thread. 'c-25p' should place
> > the center of the menu 25 pixels above the pointer. Doesn't it
> > do that?
> 
>   Probably best if I start again, then!
> 
>   You recommended, as a stop-gap,
> 
>     Popup foo mouse c c+48 NoWarp
> 
>   For me, under 2.1.10, this ("c+48") doesn't work: any % offset after a
> 'c' is ignored - the menu's just centered, not offset.

Ugh, my fault. It *does* work as specified. The percentage refers to the
reference rectangle and this is 1x1 pixels. So 48% = 0.48 pixels.

>   I *then* discovered that using the 'p' syntax ("c+48p") to specify pixel
> offsets, not % offsets, *does* work:
> 
>     Popup foo mouse c c+48p NoWarp
> 
>   ... and that's what I'm now using. I don't know whether the % offset
> syntax for Popup works in 2.1.11 'cos I've not installed it yet.

I think you can apply the patch to any 2.1.x version.

Bye

Dominik

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://fvwm.math.uh.edu/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].